Subject: ls alignment bug

From: Seth Kushniryk <[email-masked]>
Date: Fri, 1 Apr 2016 19:53:57 -0700

Hi, I've been having a minor issue with ls. It seems that sometimes the
character 'é' (e accent aigu) causes the rest of the listing to be
misaligned. My options are "-F -T 0".

Here is an example of me using it in my music library:

First Aid Kit/              Pink Floyd/                The Who/
Fleetwood Mac/              Queen/                     Ton Koopman/
Foreigner/                  Rage Against The Machine/  Trooper/
Frank Sinatra/              Red Rider/                 U2/
Félix Leclerc/             Rodriguez/                 Van Morrison/
George Harrison/            Roy Orbison/               Whitesnake/
Green Day/                  Run-DMC/                   Woody Guthrie/
Iron Butterfly/             Rush/
James/                      Simon and Garfunkel/

Renaming the directory to "Felix Leclerc" fixes the issue. I think the
problem is in "ls.c" in the function "quote_name", and what it sets for
"size_t *width".